
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Collection 和 Collections；Array与Arrays的区别 / iVAN</title>

    <meta name="description" content="Collection 和 Collections；Array与Arrays的区别 Collection 和 Collections的区别. Collection是个java.util下的接口,它是各种集合结构的父接口.继承与他的接口主要有Set 和List. Collections是个java.util下的专用静态类,它包含有各种有关集合操作的静态方法.提供一系列静态方法实现对各种集合的搜索.排序.线程安全化等操作. Array与Arrays的区别. 1．数组类Array,是Java中最基本的一个存储结构.提供了动态创建和访问 Java 数组的方法.其中的元素的类型必须相同.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Collection 和 Collections；Array与Arrays的区别</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>Collection 和 Collections的区别。</h2>
<p>Collection是个java.util下的接口，它是各种集合结构的父接口。继承与他的接口主要有Set 和List.</p>
<p>Collections是个java.util下的专用静态类，它包含有各种有关集合操作的静态方法。提供一系列静态方法实现对各种集合的搜索、排序、线程安全化等操作。</p>
<h2>Array与Arrays的区别。</h2>
<p>1．数组类Array，是Java中最基本的一个存储结构。提供了动态创建和访问 Java 数组的方法。其中的元素的类型必须相同。效率高，但容量固定且无法动态改变。 它无法判断其中实际存有多少元素，length只是告诉我们array的容量。</p>
<p>2、Arrays类，此静态类专门用来操作array ，提供搜索、排序、复制等静态方法。equals()：比较两个array是否相等。array拥有相同元素个数，且所有对应元素两两相等。 sort()：用来对array进行排序。 binarySearch()：在排好序的array中寻找元素。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 17:35:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Collection 和 Collections；Array与Arrays的区别的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b32DlNz.html" rel="bookmark">array of arrays vs array of pointers</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道array在编译的时候array 变量替换成指向array中的首地址. 所以没有也不需要地方存储array 变量. 这个pointer是截然不同的. 所以array of arrays 和 array of pointers 的不同可以从这个地方展开来讲, 下面举例来说明一下. 1. array of pointers :  #include &lt;stdio.h&gt; char *a[] = {&quot;abc&quot;,&quot;defgh&quot;}; int main() {			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6RqLM.html" rel="bookmark">Java中Collection和Collections的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.java.util.Collection 是一个集合接口.它提供了对集合对象进行基本操作的通用接口方法.Collection接口在Java 类库中有很多具体的实现.Collection接口的意义是为各种具体的集合提供了最大化的统一操作方式.  Collection   --List   --LinkedList   --ArrayList   --Vector   --Stack   --Set    2.java.util.Collections 是一个包装类.它包含有各种有关集合操作的静			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZEXNop.html" rel="bookmark">Java基础-18总结Map&comma;HashMap&comma;HashMap与Hashtable区别&comma;Collections工具类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你需要的是什么,直接评论留言. 获取更多资源加微信公众号&quot;Java帮帮&quot; (是公众号,不是微信好友哦) 还有&quot;Java帮帮&quot;今日头条号,技术文章与新闻,每日更新,欢迎阅读 学习交流请加Java帮帮交流QQ群553841695 分享是一种美德,分享更快乐! 1:Map(掌握) (1)将键映射到值的对象.一个映射不能包含重复的键:每个键最多只能映射到一个值.  (2)Map和Collection的区别? A:Map 存储的是键值对形式的元素,键唯一,值可以重复.夫妻对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQaG3wb.html" rel="bookmark">Array 与 ArrayList区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 能否简单代码实例Array与ArrayList的区别? 解决方案 解决方案二:http://wenku.baidu.com/view/2cb8d572f242336c1eb95e94.html结贴吧解决方案三:[Array和ArrayList的区别]#1.Array类型的变量在声明的同时必须进行实例化(至少得初始化数组的大小),而ArrayList可以只是先声明.如:int[]array=newarray[3];或int[]array={1,2,3};或ArrayListmyList=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlWAQqb.html" rel="bookmark">Comparable Comparator具体区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Comparable Comparator在对对象排序上具体是什么区别???不要说什么俩个接口里的方法不一样什么我是问具体排序上俩个有区别么???还有个问题:JavaEye怎么拿分???新注册的就这么几分问俩次问题就光了新手又不会帮人家解决问题哪里弄分??? 解决方案 当需要排序的集合或数组不是单纯的数字型时,通常可以使用Comparator或Comparable,以简单的方式实现对象排序或自定义排序.一.Comparator强行对某个对象collection进行整体排序的比较函数,可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9Xkvvb.html" rel="bookmark">浅谈java Collection中的排序问题&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这里讨论list.set.map的排序,包括按照map的value进行排序. 1)list排序 list排序可以直接采用Collections的sort方法,也可以使用Arrays的sort方法,归根结底Collections就是调用Arrays的sort方法. public static &lt;T&gt; void sort(List&lt;T&gt; list, Comparator&lt;? super T&gt; c) { Object[] a = list.toArray(); Arrays.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqQJaM.html" rel="bookmark">Java集合学习（二） Collection架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先,我们对Collection进行说明.下面先看看Collection的一些框架类的关系图: Collection是一个接口,它主要的两个分支是:List 和 Set. List和Set都是接口,它们继承于Collection.List是有序的队列,List中可以有重复的元素:而Set是数学概念中的集合,Set中没有重复元素! List和Set都有它们各自的实现类.  为了方便,我们抽象出了AbstractCollection抽象类,它实现了Collection中的绝大部分函数:这样,在Col			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/balE82z.html" rel="bookmark">java的collections集合</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面这张表格(表一)总结了用一个集合能做的所有事情(亦可对Set和List做同样的事情,尽管List还提供了一些额外的功能).Map不是从Collection继承的,所以要单独对待. boolean add(Object) *保证集合内包含了自变量.如果它没有添加自变量,就返回false(假) boolean addAll(Collection) *添加自变量内的所有元素.如果没有添加元素,则返回true(真) void clear() *删除集合内的所有元素 boolean contains(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmV3D1z.html" rel="bookmark">Java Comparable 和 Comparator 的详解及区别&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java Comparable 和 Comparator 的详解及区别 Java 中为我们提供了两种比较机制:Comparable 和 Comparator,他们之间有什么区别呢?今天来了解一下. Comparable 自然排序 Comparable 在 java.lang 包下,是一个接口,内部只有一个方法 compareTo(): public interface Comparable&lt;T&gt; { public int compareTo(T o); } Comparable 可以让实现它的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4YWJb.html" rel="bookmark" class="title">matlab-含有多个变量的的方程如何确定？因变量为用户影响力，其余的为自变量，谢谢！！</a>
					<div>
						问题描述 含有多个变量的的方程如何确定?因变量为用户影响力,其余的为自变量,谢谢!! 平均每天发布的微博数量 用户影响力 用户活跃度 用户的活跃粉丝数 粉丝认证比例 1.11 33 7 41 0 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zG1xnM.html" rel="bookmark" class="title">JAVA中面向对象编程语言的学习之路</a>
					<div>
						编程|对象 第一步是安装好JDK 写一个Hello World,? 其实JDK的学习没有那么简单,关于JDK有两个问题是很容易一直困扰Java程序员的地方:一个是CLASSPATH的问题,其实从原理上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVGWQb.html" rel="bookmark" class="title">ASP不用模板直接简单生成HTML页面</a>
					<div>
						我这里提供一个简单的不用模板可以直接生成HTML静态页的方法. 如一个正常的index.asp动态页面, 新建一个文件 makeasp2html.asp &lt;form method=&quot;p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjGL8M.html" rel="bookmark" class="title">交互设计分析&colon;通过设计减少用户的出错</a>
					<div>
						文章描述:我们有时候不能不面对产品出错的时候.无论设计得多么用心,无论做了多少测试,用户仍然会遇到错误和问题.既然出错不可避免,那么如何进行容错性设计才是关键. 即便你的产品90%的时间都运行良好.但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3AeNp.html" rel="bookmark" class="title">网页制作：JavaScript仿Windows关机效果</a>
					<div>
						javascript|window|网页 基本原理分析 Windows关机效果分析 使用Windows系统的用户在关机的时候,出现的界面只允许用户选择关机.注销或取消动作,而桌面上的程序都不能使用,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO8Ymb.html" rel="bookmark" class="title">CSS的优先权解释示例&colon;为什么我定义的样式没有作用呢</a>
					<div>
						这里你无法用.aa定义到li 遇到这种情况怎么解决呢?答案是提高.aa 的优先权 比如#aa ul li.aa 优先权相关文章参考-baidu搜索关键词: CSS的优先权 以下是HTML网页特效代码, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBr3Ab.html" rel="bookmark" class="title">Dreamweaver制作网页幻灯片效果</a>
					<div>
						dreamweaver|幻灯片|网页 本例中做好的播放器,可在下列地址浏览:http://webart.myrice.com/sample/index.htm. 作为一位不懂代码的业余网页制作爱好者, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5aEAp.html" rel="bookmark" class="title">VB&period;NET实现DirectSound9 &lpar;6&rpar; 声音特效</a>
					<div>
						关键字: VB.NET DirectSound 9 声音特效 回声Echo 作者:董含君转载请注明来自:http://blog.csdn.net/a11s 实际上这个就是传说的混音,微软把各种效果添加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlgdvb.html" rel="bookmark" class="title">一款简单的RPG游戏</a>
					<div>
						游戏运行效果图如下: 大家好,这是我第一次写这种游戏,有什么不正确的地方希望大家能够指出来,我的这个游戏的图片全部来自网络上面的一个英雄救美的RPG游戏,但是,我下载后发现不能运行,我就用了几天时间自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLPOKb.html" rel="bookmark" class="title">Win7经常禁用网卡的解决方法</a>
					<div>
						Win7网卡被禁用是很多用户经常会遇到的情况,特别是对于一些刚刚组配起电脑的大学新生们.今天小编就为大家介绍一下Win7网卡被禁用的解决办法. 我们首先打开计算机右键菜单,选择属性. 然后打开设备管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3dgZM.html" rel="bookmark" class="title">如何设置win7旗舰版的关机等待时间？</a>
					<div>
						  如果各位比较细心的话,肯定会发现,咱们在关闭w764位旗舰版下载的时候,win7旗舰版都会出现一个等待系统关闭的提示,之后咱们需要等待一段时间之后电脑才能关闭掉.虽然很多用户已经习惯了系统这样的默 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw8JDb.html" rel="bookmark" class="title">XP系统桌面图标不见怎么找回</a>
					<div>
						  现在很多小孩喜欢玩用家庭电脑,有时会不小心给桌面图标删除掉.像一些软件还是很好操作,找到原文件发送到桌面就可以了.但我的电脑.控制面板等就不好操作.遇到这种情况很多用户不知道怎么.那么,有没很简单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3r44p.html" rel="bookmark" class="title">浅谈百度这次大量K站的原因</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 最近一段时间想必各位都知道百度K了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e1Agb.html" rel="bookmark" class="title">教你进微软：微软招聘过程与秘笈大曝光</a>
					<div>
						有一个流传很久的笑话,说是一次IBM和微软要举行谈判,为了缓和气氛,IBM的人特意去商店买了牛仔裤和T-shirt,而微软的人也特意穿上了西服,打上了蹩脚的领带. 这个笑话反映了两个公司不同的企业文化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z4a3b.html" rel="bookmark" class="title">ajax 服务器文本框自动填值&lowbar;AJAX相关</a>
					<div>
						这样的话就增加了服务器的负担.后面自己他细想了一下.想利用ajax去实现这样一个效果.代码如下: 前台代码: 复制代码 代码如下: &lt;%@ Page Language=&quot;C#&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQ7w8z.html" rel="bookmark" class="title">javascript跨域的4种方法和原理详解&lowbar;javascript技巧</a>
					<div>
						下表给出了相对http://store.company.com/dir/page.html同源检测的结果: 要解决跨域的问题,我们可以使用以下几种方法: 一.通过jsonp跨域 在js中,我们直接用X ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrG69M.html" rel="bookmark" class="title">ASP转化ip地址为长整型数字</a>
					<div>
						有时候我们会在页面上显示用户的所在地区,这个原理是:先得到用户的IP,然后去查询将IP转换成一个数值,最后去查这个数值所在的范围,来得到用户所在的地方. IP转换成数值的方法: 假设IP是192.16 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwQvKM.html" rel="bookmark" class="title">mongodb数据库怎么查询出某一段时间内的数据</a>
					<div>
						问题描述 mongodb数据库怎么查询出某一段时间内的数据 db.things.find({&quot;createTime&quot;:{&quot;$gt&quot;:&quot;2014-10- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAjmYM.html" rel="bookmark" class="title">华为推出全球最小路由器 仅手指大小（图）</a>
					<div>
						[导读]其意义在于可以帮助运营商实时监测分析网络使用情况,最终提高用户使用网络质量.华为推出的原子路由器 腾讯科技 郭晓峰 2月26日 巴塞罗那报道今日,华为在2014 MWC上推出全球最小的运营级路 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqW2db.html" rel="bookmark" class="title">&lbrack;CLR via C&num;&rsqb;5&period;2 引用类型和值类型</a>
					<div>
						原文:[CLR via C#]5.2 引用类型和值类型 CLR支持两种类型:引用类型和值类型. 虽然FCL中大多数都是引用类型,但开发人员用的最多的还是值类型.引用类型总是在托管堆上分配的,C#的ne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r9l9p.html" rel="bookmark" class="title">android-有没有统一的安卓命名规范</a>
					<div>
						问题描述 有没有统一的安卓命名规范 我想要一份详细的android命名规范.我找到的大概如下: m文件中不能有public.static字段static字段命名往往以s开始其他字段开始字母小写Publ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDJABz.html" rel="bookmark" class="title">&num;pragma pack&lpar;n&rpar; 的作用</a>
					<div>
						在C语言中,结构是一种复合数据类型,其构成元素既可以是基本数据类型(如int.long.float等)的变量,也可以是一些复合数据类型(如数组.结构.联合等)的数据单元.在结构中,编译器为结构的每个成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDe2Elb.html" rel="bookmark" class="title">小米手机不错的性能</a>
					<div>
						小米手机已经正式发布,零售价为1999元.小米手机的配置是:高通MSM8260双核1.5GHz主频CPU;Adreno220图形芯片;1GB内存.4GB机身存储,而且支持32GB MicroSD;夏普 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7mmez.html" rel="bookmark" class="title">html-空标签为什么不能格式化文本</a>
					<div>
						问题描述 空标签为什么不能格式化文本 为什么 空标签不能用于格式化文本,什么事格式化文本 由于我刚接触网页设计 还请大神们多多指教					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7YgKz.html" rel="bookmark" class="title">求教个delphi调用DLL的函数说明怎么写</a>
					<div>
						问题描述 求教个delphi调用DLL的函数说明怎么写 函数名 ZtDevice_CR_ReadTrack3 出口参数 byTrackDataThree BYTE * 3 出口参数 nDataThre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjdxQM.html" rel="bookmark" class="title">Linux 版 Firefox 每日构建版现在使用 Gtk&plus;3</a>
					<div>
						从7月23日的每日构建版(Nightly)开始,Firefox for Linux默认启用Gtk+3构建.以前Firefox for Linux默认启用的是Gtk+2.GTK+是GIMP和GNOME等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBJPgM.html" rel="bookmark" class="title">IDC：超大规模数据中心服务器出货量增长推动市场收入上扬6&period;3&percnt;</a>
					<div>
						根据IDC的全球服务器市场季度追踪报告显示,2017年第二季度全球服务器市场收入同比增长6.3%达到157亿美元.整个服务器市场在经历了因为等待英特尔发布Skylake处理器而导致多个放缓的季度之后开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl2Z0p.html" rel="bookmark" class="title">基于Tomcat7、Java、WebSocket的服务器推送聊天室实例&lowbar;java</a>
					<div>
						前言 HTML5 WebSocket实现了服务器与浏览器的双向通讯,双向通讯使服务器消息推送开发更加简单,最常见的就是即时通讯和对信息实时性要求比较高的应用.以前的服务器消息推送大部分采用的都是&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEDY1z.html" rel="bookmark" class="title">js 动态文字滚动的例子&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N5PPb.html" rel="bookmark" class="title">mysql 中replace&lpar;&rpar;批量替换指定字符语句</a>
					<div>
						将cdb_pms表subject字段中的Welcom to替换成 欢迎光临  代码如下 复制代码 UPDATE `cdb_pms` SET `subject` = REPLACE(`subject`, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
